SmartGo (Beta)

Get Device OBD2 data

This API is under active development. Its request and response formats may change without prior notice. Please consult the latest documentation for updates.

Description table of vehicle data

# Key Name Unit Note
1 timestamp Timestamp milliseconds
2 vin Vehicle VIN
3 engin_status Engin Status Status value
0: Off
1: On
4 fuel_level Fuel Level %
5 fuel_rate Fuel Rate L/hr
6 speed Speed KM/hr
7 rpm RPM RPM
8 engine_hours Engine Hours Hour
9 trip_hours Trip Hours Hour
10 odometer Odometer KM
11 mil_status MIL Status Status value
0 = MIL Off
1 = MIL On
12 dtc DTC String Raw parameters sent by the device
13 battery_voltage Battery Voltage V
14 coolant_temperature Coolant Temperature °C
15 engine_load Engine Load %
16 intake_temperature Intake Temperature °C
17 intake_pressure Intake Pressure kPa
18 throttle_position Throttle Position %
19 engine_oil_level Engine Oil Level %
20 mass_air_flow Mass Air Flow Gallons / sec
21 decoded_dtc Decoded DTC Data Object Parsed diagnostic information (See details below)
22 dongle_mac_address Dongle MAC Address String The unique hardware MAC address. Note: It can be derived by converting the decimal Serial Number back to Hexadecimal.

Details for decoded_dtc Object:

  • mil: Malfunction Indicator Lamp status.
  • dtcs: Map of error codes (e.g. P0100) to ECU source and detailed description.
  • vin: VIN associated with the DTCs.

Note: The vin and mil fields within this object are consistent with the top-level vin and mil_status fields.

Securityapi key and Authorization
Request
path Parameters
device
required
string

serial number or cid(certificate id)

query Parameters
since
integer or null <int64>

A thirteen-digit timestamp in milliseconds.

The interval between since and until must not exceed 300,000 milliseconds.

If it does, or if until does not exist, the until value will be adjusted or assigned based on the since.

until
integer or null <int64>

A thirteen-digit timestamp in milliseconds.

The interval between since and until must not exceed 300,000 milliseconds.

If it does, or if since does not exist, the since value will be adjusted or assigned based on the until.

timestamp
integer or null <int64>

A thirteen-digit timestamp in milliseconds.

When since and until do not exist, the timestamp will be applied to query data for the specified time.

pageSize
integer or null <int32> ( 1 .. 30 )
Default: 1

When since, until, and timestamp do not exist, page_size will be applied to query the latest data.

Responses
200

OK

get/V2/devices/obd2/{device}
Response samples
application/json
{
  • "uq": "3903dc78-9349-41a0-9662-d1e33de117f8",
  • "doc_version": "latest",
  • "result": true,
  • "code": "S00000",
  • "message": "string",
  • "build": "string",
  • "data": [
    ]
}